	SUBROUTINE FORMAT(ITRANS)
	DIMENSION IMSGA(7),IMSGB(8)
	DATA IMSGA/'A','S','C','I','I',"15,"12/
	DATA IMSGB/'B','i','n','a','r','y',"15,"12/
	WRITE(5,1) "15,"12
 1	FORMAT($,1X,2A1,' (I)nput from disc, or (O)utput to disc :')
 2	I=ITTING(IDUMMY)
	IF(I.LT.0) GOTO 2
	IF(I.EQ."111) GOTO 100
	IF(I.NE."117) GOTO 200
C	  CHANGE FORMAT OF OUTPUT FILE MODE
	IF((ITRANS.AND."100).EQ.0) GOTO 10
	ITRANS=(ITRANS.AND."177677)
 4	DO 5 I=1,7
 5	CALL ENQUE(IMSGA(I))
	RETURN
 10	ITRANS=ITRANS+"100
 14	DO 15 I=1,8
 15	CALL ENQUE(IMSGB(I))
	RETURN
C	  CHANGE FORMAT OF INPUT FILE MODE
 100	IF((ITRANS.AND."200).EQ.0) GOTO 110
	ITRANS=(ITRANS.AND."177577)
	GOTO 4
 110	ITRANS=ITRANS+"200
	GOTO 14
C	  SIMPLY RETURN
 200	CALL ENQUE("15)
	CALL ENQUE("12)
	RETURN
	END
